Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160031 - RFE: add rxvt-unicode to /etc/termcap
Summary: RFE: add rxvt-unicode to /etc/termcap
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: termcap
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Raszyk
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-10 06:43 UTC by Andreas Bierfert
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: termcap 5.4 Rel.7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 11:45:17 UTC


Attachments (Terms of Use)
terminfo file for rxvt-unicode (see rxvt-unicode) (deleted)
2005-08-20 22:58 UTC, Andreas Bierfert
no flags Details
Terminfo FEDORA CORE 4 (deleted)
2005-09-15 13:44 UTC, Petr Raszyk
no flags Details
Your terminfo (deleted)
2005-09-15 13:45 UTC, Petr Raszyk
no flags Details
Current version. (deleted)
2005-09-16 11:47 UTC, Petr Raszyk
no flags Details

Description Andreas Bierfert 2005-06-10 06:43:38 UTC
Description of problem:
rxvt-unicode has no entry in /etc/termcap thus does not work quiet how one would
want it to work. With this being in extras now it woule be great if for
fc3/fc4/devel the termcap package would contain this information.
See /usr/share/doc/rxvt-unicode-5.5/README.FAQ from rxvt-unicode package for
info on the termcap entry...

Comment 1 Andreas Bierfert 2005-06-28 08:30:33 UTC
ping?

Comment 2 Andreas Bierfert 2005-08-20 22:56:47 UTC
Index: FC-4/termcap.spec
===================================================================
RCS file: /cvs/dist/rpms/termcap/FC-4/termcap.spec,v
retrieving revision 1.16
diff -r1.16 termcap.spec
6c6
< Release: 4
---
> Release: 5
10a11
> Source2: rxvt-unicode.terminfo
74a76,77
> cat %{SOURCE2} >> misc/termcap.src
> 


Comment 3 Andreas Bierfert 2005-08-20 22:58:22 UTC
Created attachment 117949 [details]
terminfo file for rxvt-unicode (see rxvt-unicode)

Comment 4 Petr Raszyk 2005-09-15 13:44:48 UTC
Created attachment 118848 [details]
Terminfo FEDORA CORE 4 

In FEDORA CORE 4 is a TERMINFO description for rxvt-unicode, but
there is no description for this terminal-emulator in termcap-database.
I can create (via tic) a termcap-description. But I need to know one
thing:


Current TERMINFO-description in FEDORA CORE 4 is different form your
TERMINFO-description. See attached files.
My TERMINFO-description was created (in FEDORA CORE 4):

1) launch any terminal
2) export TERM=rxvt-unicode
3) infocmp > my-rxvt-terminfo.txt

Your TERMINFO-description is different. For instance "acsc" (ALTCHARSET).

What works fine ?

Comment 5 Petr Raszyk 2005-09-15 13:45:52 UTC
Created attachment 118850 [details]
Your terminfo

Comment 6 Andreas Bierfert 2005-09-15 14:01:11 UTC
Ok here is why I reported to problem in the first place: The home key would not
bring me to the beginning of the line in rxvt-unicode. So I played around a bit
with stty options but could not find a way to fix this. After that I remembered
that when I packaged up rxvt-unicode it did provide:
/usr/share/doc/rxvt-unicode-5.7/etc/rxvt-unicode.termcap
/usr/share/doc/rxvt-unicode-5.7/etc/rxvt-unicode.terminfo
So what I posted was the section from this file supplied by rxvt-unicode so I
suppose what you have is somewhat longer... I don't know that much about
term{cap,info} and don't know if you need to include the whole description or if
this small section is sufficient. As long as it solves the Home key problem (and
maybe others that I did not notice on en_US.utf8)


Comment 7 Petr Raszyk 2005-09-16 11:45:17 UTC
A new termcap-description for rxvt-unicode-terminal-emulator created
(via 'tic -C' from TERMINFO-DATABASE in FEDORA CORE 4).

This new termcap-database record is identical with a example in
rxvt-unicode-5.7/README.FAQ

Fixed in FEDORA CORE 3:  termcap 5.4 Rel.4fc3
         FEDORA CORE 4:  termcap 5.4 Rel.7fc4
         DEVEL        :  termcap 5.4 Rel.7  

Tested using 'bash' in rxvt-unicode-terminal-emulator. The key-home (key-end) 
works fine.


Comment 8 Petr Raszyk 2005-09-16 11:48:00 UTC
Created attachment 118889 [details]
Current version.


Note You need to log in before you can comment on or make changes to this bug.